# See the configuration reference at https://symfony.com/bundles/SchebTwoFactorBundle/6.x/configuration.html
scheb_two_factor:
    security_tokens:
        - Symfony\Component\Security\Core\Authentication\Token\UsernamePasswordToken
    backup_codes:
        enabled: '%admin_verify_backup%'

    persister: scheb_two_factor.persister.doctrine
    model_manager_name: ~

    email:
        enabled: true
        digits: 6
        sender_email: '%mailer_sender_address%'
        sender_name: '%mailer_sender_name%'
        template: system/security/login/verify.html.twig

    google:
        enabled: true
        server_name: '%mailer_sender_name%'
        issuer: '%mailer_sender_name%'
        digits: 6
        window: 1
        template: system/security/login/verify.html.twig
